LibreOffice: TabControllerModel Service Reference

LibreOffice LibreOffice 6.0 SDK API Reference

Exported Interfaces | List of all members
TabControllerModel Service Referencepublished

specifies a standard tab controller model. More...

`import"TabControllerModel.idl";`

Inheritance diagram for TabControllerModel:

## Exported Interfaces
interface | com::sun::star::awt::XTabControllerModel
interface | com::sun::star::io::XPersistObject

## Additional Inherited Members
Public Member Functions inherited from XTabControllerModel
boolean | getGroupControl ()
| returns whether the control models are grouped together. More...
void | setGroupControl ([in] boolean GroupControl)
| determines if the control models are grouped together. More...
void | setControlModels ([in] sequence< com::sun::star::awt::XControlModel > Controls)
| sets the control models. More...
sequence< com::sun::star::awt::XControlModel > | getControlModels ()
| returns the control models. More...
void | setGroup ([in] sequence< com::sun::star::awt::XControlModel > Group, [in] string GroupName)
| sets a control model group. More...
long | getGroupCount ()
| returns the number of control model groups. More...
void | getGroup ([in] long nGroup, [out] sequence< com::sun::star::awt::XControlModel > Group, [out] string Name)
| returns a control model group. More...
void | getGroupByName ([in] string Name, [out] sequence< com::sun::star::awt::XControlModel > Group)
| returns a control model group by name. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object More...
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream. More...
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream. More...

## Detailed Description

specifies a standard tab controller model.

## Exported Interfaces

## ◆ com::sun::star::awt::XTabControllerModel

interface com::sun::star::awt::XTabControllerModel

## ◆ com::sun::star::io::XPersistObject

interface com::sun::star::io::XPersistObject

The documentation for this service was generated from the following file:

- com/sun/star/awt/TabControllerModel.idl